LibreOffice: XExtendedInputSequenceChecker Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XExtendedInputSequenceChecker Interface Referencepublished

This interface perform input sequence correction for the languages like Thai and Hindi. More...

`import "XExtendedInputSequenceChecker.idl";`

Inheritance diagram for XExtendedInputSequenceChecker:

## Public Member Functions
long | correctInputSequence ([inout] string aText, [in] long nPos, [in] char cInputChar, [in] short nInputCheckMode)
Public Member Functions inherited from XInputSequenceChecker
boolean | checkInputSequence ([in] string aText, [in] long nPos, [in] char cInputChar, [in] short nInputCheckMode)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This interface perform input sequence correction for the languages like Thai and Hindi.

It is derived from com::sun::star::i18n::XInputSequenceChecker and provides additional functionality to correct input sequence.

Since
  OOo 2.0.1

## Member Function Documentation

## ◆ correctInputSequence()

long correctInputSequence | ( | [inout] string | aText,
|  | [in] long | nPos,
|  | [in] char | cInputChar,
|  | [in] short | nInputCheckMode )

Returns
  Next nPos, or length of aText if nothing is corrected.

Parameters

  aText | Text to be checked and corrected.
  nPos | Index in aText where checking starts.
  cInputChar | The input character. Or at least, a UTF16 code unit thereof. It looks like this interface was not designed with non-BMP characters in mind. Not sure if that is a problem.
  nInputCheckMode | One of InputSequenceCheckMode constants.

The documentation for this interface was generated from the following file:

- com/sun/star/i18n/XExtendedInputSequenceChecker.idl